while(1)

NAME
while -- perform a command multiple times

  Synopsis

while CONDITION; COMMANDS...; end

  Description
while repeatedly executes CONDITION, and if the exit status is 0, then executes COMMANDS.

If the exit status of CONDITION is non-zero on the first iteration, COMMANDS will not be executed at all.

Use begin; ...; end for complex conditions; more complex control can be achieved with while true containing a break.

  Example

while test -f foo.txt; echo file exists; sleep 10; end
  outputs 'file exists' at 10 second intervals as long as the file foo.txt exists.